Bug 198098 - [Win][CMake] Pass architecture to cmake via -A for both x64 and Win32
Summary: [Win][CMake] Pass architecture to cmake via -A for both x64 and Win32
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-05-21 17:57 PDT by Stephan Szabo
Modified: 2019-05-23 13:17 PDT (History)
6 users (show)

See Also:


Attachments
Patch (2.39 KB, patch)
2019-05-22 09:49 PDT, Stephan Szabo
ews: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ews210 for win-future (13.88 MB, application/zip)
2019-05-22 11:37 PDT, Build Bot
no flags Details
Patch (2.39 KB, patch)
2019-05-22 15:54 PDT, Stephan Szabo
don.olmstead: review+
Details | Formatted Diff | Diff
Patch (2.69 KB, patch)
2019-05-23 09:58 PDT, Stephan Szabo
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stephan Szabo 2019-05-21 17:57:36 PDT
Give the architecture explicitly to CMake for both Win32 and x86. There's also some potential cleanup potential since we have the names for passing to MSBuild.
Comment 1 Stephan Szabo 2019-05-22 09:49:06 PDT
Created attachment 370408 [details]
Patch

Seeing what applewin's ews makes of this.
Comment 2 Build Bot 2019-05-22 11:27:58 PDT
Comment on attachment 370408 [details]
Patch

Attachment 370408 [details] did not pass jsc-ews (mac):
Output: https://webkit-queues.webkit.org/results/12258729

New failing tests:
mozilla-tests.yaml/js1_5/Array/regress-101964.js.mozilla-ftl-eager-no-cjit-validate-phases
apiTests
Comment 3 Build Bot 2019-05-22 11:37:21 PDT
Comment on attachment 370408 [details]
Patch

Attachment 370408 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12259072

New failing tests:
http/tests/misc/repeat-open-cancel.html
Comment 4 Build Bot 2019-05-22 11:37:32 PDT
Created attachment 370429 [details]
Archive of layout-test-results from ews210 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews210  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 5 Stephan Szabo 2019-05-22 15:54:16 PDT
Created attachment 370458 [details]
Patch

Checking again.
Comment 6 Don Olmstead 2019-05-22 18:54:56 PDT
Comment on attachment 370458 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=370458&action=review

r=me with changes

> Tools/ChangeLog:14
> +        Reviewed by NOBODY (OOPS!).
> +
> +        * Scripts/webkitdirs.pm:
> +        (getVisualStudioToolset): Get toolset name for cmake/msbuild
> +        (getMSBuildPlatformArgument): Update to use getVisualStudioToolset
> +        (getCMakeWindowsToolsetArgument): Get -A argument for cmake
> +        based on toolset
> +        (generateBuildSystemFromCMakeProject): Remove explicit -A x64
> +        in 64-bit mode in favor of new getCMakeWindowsToolsetArgument.

Can you add why this is being done? I thought it was because with 2019 the default architecture was changed from Win32 to whatever the host operating system is.
Comment 7 Stephan Szabo 2019-05-23 09:58:52 PDT
Created attachment 370507 [details]
Patch
Comment 8 WebKit Commit Bot 2019-05-23 13:16:01 PDT
Comment on attachment 370507 [details]
Patch

Clearing flags on attachment: 370507

Committed r245707: <https://trac.webkit.org/changeset/245707>
Comment 9 WebKit Commit Bot 2019-05-23 13:16:03 PDT
All reviewed patches have been landed.  Closing bug.
Comment 10 Radar WebKit Bug Importer 2019-05-23 13:17:46 PDT
<rdar://problem/51079792>